Request a rate limit change for a mail address
POST/v2/ mail-addresses/ {mailAddressId}/ actions/ request-rate-limit-change/
API version
v2
Request method
POST
Operation ID
mail-request-mail-address-rate-limit-change
Request
Responses
Usage examples
- cURL
- JavaScript SDK
- PHP SDK
$ curl \
--fail \
--location \
-X POST \
-d '{"rateLimitId":"f0f86186-0a5a-45b2-aa33-502777496347"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/mail-addresses/f0f86186-0a5a-45b2-aa33-502777496347/actions/request-rate-limit-change
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.mail.requestMailAddressRateLimitChange({
"mailAddressId": "f0f86186-0a5a-45b2-aa33-502777496347",
"data": {
"rateLimitId": "f0f86186-0a5a-45b2-aa33-502777496347"
}
});
assertStatus(response, 204);
use \Mittwald\ApiClient\Generated\V2\Clients\Mail\RequestMailAddressRateLimitChange\RequestMailAddressRateLimitChangeRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Mail\RequestMailAddressRateLimitChange\RequestMailAddressRateLimitChangeRequestBody;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
// TODO: Please consult the properties and constructor signature of
// RequestMailAddressRateLimitChangeRequestBody to learn how to construct a valid instance
$body = new RequestMailAddressRateLimitChangeRequestBody(/* TODO: ... */);
$request = (new RequestMailAddressRateLimitChangeRequest(
mailAddressId: "f0f86186-0a5a-45b2-aa33-502777496347",
body: $body
));
$response = $client->mail()->requestMailAddressRateLimitChange($request);
var_dump($response->getBody();